Compiling on ubuntu 13.04 (raring)

Support for running, installing or compiling OpenMW

Before you submit a bug report for the first time, please read: Bug reporting guidelines
Locked
lazydev
Posts: 68
Joined: 16 Dec 2012, 14:03

Compiling on ubuntu 13.04 (raring)

Post by lazydev » 16 May 2013, 10:52

Hello all.
I have troubles running cmake on ubuntu 13.04

Code: Select all

-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - not found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found unsuitable Qt version "5.0.1" from /usr/bin/qmake
CMake Error at /usr/share/cmake-2.8/Modules/FindQt4.cmake:1216 (message):
  Found unsuitable Qt version "5.0.1" from /usr/bin/qmake, this code requires
  Qt 4.x
Call Stack (most recent call first):
  apps/launcher/CMakeLists.txt:54 (find_package)


-- Configuring incomplete, errors occurred!
libqt4-opengl and libqt4-dev are installed.

How cani avoid the problem?

Glorfdev
Posts: 77
Joined: 02 Mar 2013, 19:55
Location: Poznań, Poland

Re: Compiling on ubuntu 13.04 (raring)

Post by Glorfdev » 16 May 2013, 11:02

try to run cmake with -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4

User avatar
scrawl
Posts: 2152
Joined: 18 Feb 2012, 11:51

Re: Compiling on ubuntu 13.04 (raring)

Post by scrawl » 16 May 2013, 11:04

You have QT 5 installed. Remove that first. Edit: Or try what Glorfdev said.

lazydev
Posts: 68
Joined: 16 Dec 2012, 14:03

Re: Compiling on ubuntu 13.04 (raring)

Post by lazydev » 17 May 2013, 17:16

Glorfdev wrote:try to run cmake with -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4
Thats helped, thank you

Locked